Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Object Class Reference

Base Object for RT_Notify's CORBA Objects. More...

`#include <Object.h>`

Inheritance diagram for TAO_NS_Object:

[legend]
Collaboration diagram for TAO_NS_Object:

[legend]
List of all members.

## Public Methods
| TAO_NS_Object (void)
| Constuctor. More...
virtual | ~TAO_NS_Object (void)
| Destructor. More...
void | init (TAO_NS_POA_Helper *poa, TAO_NS_POA_Helper *proxy_poa, TAO_NS_Worker_Task *worker_task)
| Init. More...
CORBA::Long | id (void)
| This Object's ID. More...
CORBA::Object_ptr | activate (ACE_ENV_SINGLE_ARG_DECL)
| Activate. More...
void | deactivate (ACE_ENV_SINGLE_ARG_DECL)
| Deactivate. More...
int | has_shutdown (void)
| Have we been shutdown. returns 1 if shutdown. More...
CORBA::Object_ptr | ref (ACE_ENV_SINGLE_ARG_DECL)
| Get CORBA Ref. More...
TAO_NS_Worker_Task * | worker_task (void)
| Get Worker Task. More...
TAO_NS_POA_Helper * | poa (void)
| Get the POA assigned to us. More...
void | proxy_poa (TAO_NS_POA_Helper *proxy_poa)
| Setting the proxy_poa_ gives ownership to this class. More...
TAO_NS_POA_Helper * | proxy_poa (void)
| Accessor for the proxy_poa_. More...
void | worker_task_own (TAO_NS_Worker_Task *worker_task)
| Set Worker Task. This object assume ownership of the set object. More...
void | worker_task (TAO_NS_Worker_Task *worker_task)
| Set Worker Task. Does not assume ownership. More...
CosNotification::QoSProperties * | get_qos (ACE_ENV_SINGLE_ARG_DECL)
| Get the QoS Properties. More...
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
| shutdown. More...
virtual void | set_qos (const CosNotification::QoSProperties &qos ACE_ENV_ARG_DECL)
| Set the QoS Properties. More...
virtual TAO_NS_Timer * | timer (void)
| Obtain the Timer manager associated with this object. More...
## Protected Methods
void | shutdown_worker_task (void)
| Shutdown the current worker task and delete it if we own it. More...
void | shutdown_proxy_poa (void)
| Shutdown the current proxy poa. More...
virtual void | qos_changed (const TAO_NS_QoSProperties &qos_properties)
| Notification that can be overridden by subclasses to be informed that <qos_properties_> have been modified. More...
virtual PortableServer::Servant | servant (void)=0
| Servant which we use. This must be implemented by subclasses. More...
virtual void | apply_reactive_concurrency (ACE_ENV_SINGLE_ARG_DECL)
| Apply Reactive concurrency. More...
virtual void | apply_thread_pool_concurrency (const NotifyExt::ThreadPoolParams &tp_params ACE_ENV_ARG_DECL)
| Apply Thread Pools. More...
virtual void | apply_lane_concurrency (const NotifyExt::ThreadPoolLanesParams &tpl_params ACE_ENV_ARG_DECL)
| Apply Thread Pools with Lanes. More...
## Protected Attributes
TAO_NS_Event_Manager * | event_manager_
| = Protected data members. The event manager. More...
TAO_NS_AdminProperties_var | admin_properties_
| Admin Properties. More...
TAO_NS_QoSProperties | qos_properties_
| QoS Properties. More...
TAO_NS_Object_Id | id_
| Id assigned to this object. More...
TAO_NS_POA_Helper * | poa_
| The POA in which the object is activated. More...
TAO_NS_Worker_Task * | worker_task_
| Worker Task. More...
int | own_worker_task_
| Ownership flag. More...
TAO_NS_POA_Helper * | proxy_poa_
| The POA in which the proxys are activated. More...
int | own_proxy_poa_
| Flag that indicates if we own <proxy_poa_>. More...
int | shutdown_
| Are we shutdown (i,e. scheduled for destroy). More...
## Friends
class | TAO_NS_Builder

## Detailed Description

Base Object for RT_Notify's CORBA Objects.

## Constructor & Destructor Documentation

TAO_NS_Object::TAO_NS_Object | ( | void |  | ) |

| Constuctor.

TAO_NS_Object::~TAO_NS_Object | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

CORBA::Object_ptr TAO_NS_Object::activate | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Activate.

virtual void TAO_NS_Object::apply_lane_concurrency | ( | const NotifyExt::ThreadPoolLanesParams &tpl_params | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| Apply Thread Pools with Lanes.

void TAO_NS_Object::apply_reactive_concurrency | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Apply Reactive concurrency.

void TAO_NS_Object::apply_thread_pool_concurrency | ( | const NotifyExt::ThreadPoolParams &tp_params | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| Apply Thread Pools.

void TAO_NS_Object::deactivate | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Deactivate.

CosNotification::QoSProperties * TAO_NS_Object::get_qos | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Get the QoS Properties. Reimplemented in TAO_NS_ConsumerAdmin, TAO_NS_EventChannel, TAO_NS_Proxy_T, and TAO_NS_SupplierAdmin.

int TAO_NS_Object::has_shutdown | ( | void |  | ) |

| Have we been shutdown. returns 1 if shutdown.

CORBA::Long TAO_NS_Object::id | ( | void |  | ) |

| This Object's ID.

void TAO_NS_Object::init | ( | TAO_NS_POA_Helper * | poa,
|  | TAO_NS_POA_Helper * | proxy_poa,
|  | TAO_NS_Worker_Task * | worker_task
| ) |

| Init.

TAO_NS_POA_Helper* TAO_NS_Object::poa | ( | void |  | ) |

| Get the POA assigned to us.

TAO_NS_POA_Helper* TAO_NS_Object::proxy_poa | ( | void |  | ) |

| Accessor for the proxy_poa_.

void TAO_NS_Object::proxy_poa | ( | TAO_NS_POA_Helper * | proxy_poa | ) |

| Setting the proxy_poa_ gives ownership to this class.

void TAO_NS_Object::qos_changed | ( | const TAO_NS_QoSProperties & | qos_properties | ) | `[protected, virtual]`

| Notification that can be overridden by subclasses to be informed that <qos_properties_> have been modified. Reimplemented in TAO_NS_Proxy, and TAO_NS_ProxySupplier.

CORBA::Object_ptr TAO_NS_Object::ref | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Get CORBA Ref.

virtual PortableServer::Servant TAO_NS_Object::servant | ( | void |  | ) | `[protected, pure virtual]`

| Servant which we use. This must be implemented by subclasses. Reimplemented in TAO_NS_ConsumerAdmin, TAO_NS_EventChannel, TAO_NS_EventChannelFactory, TAO_NS_Proxy_T, and TAO_NS_SupplierAdmin.

void TAO_NS_Object::set_qos | ( | const CosNotification::QoSProperties &qos | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Set the QoS Properties. Reimplemented in TAO_NS_ConsumerAdmin, TAO_NS_EventChannel, TAO_NS_Proxy_T, and TAO_NS_SupplierAdmin.

void TAO_NS_Object::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| shutdown. Reimplemented in TAO_NS_Container_T, TAO_NS_ProxyConsumer, TAO_NS_ProxySupplier, TAO_NS_Container_T< TAO_NS_Admin, TAO_NS_EventChannel, TAO_NS_EventChannelFactory >, TAO_NS_Container_T< TAO_NS_Proxy, TAO_NS_Admin, TAO_NS_EventChannel >, and TAO_NS_Container_T< TAO_NS_EventChannel, TAO_NS_EventChannelFactory, TAO_NS_Notify_Service >.

void TAO_NS_Object::shutdown_proxy_poa | ( | void |  | ) | `[protected]`

| Shutdown the current proxy poa.

void TAO_NS_Object::shutdown_worker_task | ( | void |  | ) | `[protected]`

| Shutdown the current worker task and delete it if we own it.

TAO_NS_Timer * TAO_NS_Object::timer | ( | void |  | ) | `[virtual]`

| Obtain the Timer manager associated with this object.

void TAO_NS_Object::worker_task | ( | TAO_NS_Worker_Task * | worker_task | ) |

| Set Worker Task. Does not assume ownership.

TAO_NS_Worker_Task* TAO_NS_Object::worker_task | ( | void |  | ) |

| Get Worker Task.

void TAO_NS_Object::worker_task_own | ( | TAO_NS_Worker_Task * | worker_task | ) |

| Set Worker Task. This object assume ownership of the set object.

## Friends And Related Function Documentation

friend class TAO_NS_Builder`[friend]`

| Reimplemented in TAO_NS_ConsumerAdmin, TAO_NS_EventChannel, TAO_NS_EventChannelFactory, and TAO_NS_SupplierAdmin.

## Member Data Documentation

TAO_NS_AdminProperties_var TAO_NS_Object::admin_properties_`[protected]`

| Admin Properties.

TAO_NS_Event_Manager* TAO_NS_Object::event_manager_`[protected]`

| = Protected data members. The event manager.

TAO_NS_Object_Id TAO_NS_Object::id_`[protected]`

| Id assigned to this object.

int TAO_NS_Object::own_proxy_poa_`[protected]`

| Flag that indicates if we own <proxy_poa_>.

int TAO_NS_Object::own_worker_task_`[protected]`

| Ownership flag.

TAO_NS_POA_Helper* TAO_NS_Object::poa_`[protected]`

| The POA in which the object is activated.

TAO_NS_POA_Helper* TAO_NS_Object::proxy_poa_`[protected]`

| The POA in which the proxys are activated.

TAO_NS_QoSProperties TAO_NS_Object::qos_properties_`[protected]`

| QoS Properties.

int TAO_NS_Object::shutdown_`[protected]`

| Are we shutdown (i,e. scheduled for destroy).

TAO_NS_Worker_Task* TAO_NS_Object::worker_task_`[protected]`

| Worker Task.

The documentation for this class was generated from the following files:

- Object.h
- Object.cpp